/* 
Theme Name: Twenty Twenty One Child 
Theme URL: http://yourdomain.com
Description: Twenty Twenty One Child 
Theme Author: Your Name
Author URL: http://yourdomain.com
Template: twentytwentyone 
Version: 1.0.0 
Text Domain: twentytwentyone-child 
*/

body {
	background-color:#fff !important;
}

#comments {
	display:none !important;
}

#main.site-main {
	padding-top:0px !important;
}

#masthead {
    margin: 0px 2% !important;
    padding-top: 5% !important;
    padding-bottom: calc(2 * var(--global--spacing-vertical));

}

.entry-content h4 {
    margin-bottom: 1.5rem !important;
}

.entry-content p {
    margin-bottom: 1.5rem !important;
}

a:active, a:focus {
	background:rgba(0,0,0,0) !important;
}

.project-details {
    max-width: var(--responsive--aligndefault-width);
    margin-left: auto;
    margin-right: auto;
}

#pics img.project-pics {
	max-height:570px !important;
	padding-left:30px !important;
    padding-right:30px !important;
	padding-bottom:60px !important;
}

.overlay {
	display:none;
    background: rgba(0, 0, 0, 0.7);
    height: 100%;
    left: 0;
    opacity: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    transform: translate3d(0, 0, 0);
    transition: .5s opacity;
    width: 100%;
    z-index: 2;
}

.overlay.active {
    opacity: 1;
}

.enter {
	flex: 1;
	position:relative;
	margin: 0 2% !important;
}



.enter:hover {
	z-index:10;
}

.enter .bg {
	position:absolute;
	top:0;
	left:0;
	animation: animation-box-out 0.3s cubic-bezier(0.4, 0, 0.2, 1) 1;
	-webkit-animation: animation-box-out 0.7s cubic-bezier(0.315, 0.605, 0.375, 0.925) 1;
    animation-fill-mode: forwards;
	-webkit-animation-fill-mode: forwards;
}

.enter .bg:after {
	content:"";
	position:absolute;
	top:0;
	left:0;
	height:100%;
	width:100%;
	background-color:#000;
	opacity:0;
	transition: opacity .8s cubic-bezier(0.4, 0, 0.2, 1);
	-webkit-transition: opacity .8s cubic-bezier(0.4, 0, 0.2, 1);
}

.enter.active .bg {
	animation: animation-box 0.7s cubic-bezier(0.315, 0.605, 0.375, 0.925) 1;
	-webkit-animation: animation-box 0.7s cubic-bezier(0.315, 0.605, 0.375, 0.925) 1;
    animation-fill-mode: forwards;
	-webkit-animation-fill-mode: forwards;
}

.enter.active .bg:after {
	opacity:1;
}

.menuItem-content {
    -ms-flex-pack: end;
    justify-content: flex-end;
    opacity: 0;
    padding: 1.5em;
    transform: translate3d(0, 0, 50px);
	-webkit-transform: translate3d(0, 0, 50px);
}

.enter.active .menuItem-content {
    opacity: 1;
    transition: .5s opacity;
    -webkit-transition: .5s opacity;
}

.menuItem-container {
	position:relative;
	z-index:1;
}

.menuItem-meta {
    -ms-flex-align: baseline;
    align-items: baseline;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-pack: justify;
    justify-content: space-between;
    margin-bottom: 10px;
    position: relative;
    width: 100%;
}

.menuItem-number {
    -ms-flex-positive: 2;
    flex-grow: 2;
    font-size: 6em;
    letter-spacing: -3px;
    line-height: 1.2;
	color:#fff;
}

.menuItem-bar {
    background: #fff;
    bottom: 0;
    height: 2px;
    left: 0;
    position: absolute;
    width: 100%;
}

.menuItem-name {
    display: block;
    font-size: 2.2em;
    line-height: 1.2;
    max-width: 375px;
    color:#fff;
}

.menuItem-description {
    font-size: 1em;
    letter-spacing: 0px;
    line-height: 1.4;
    margin: .5em 0 2em;
    /*max-width: 60%;*/
	color:#fff;
}

.menuItem-link {
    border: 2px solid #fff;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-size: .6em;
    padding: 1.25em 2.5em;
    text-transform: uppercase;
    transition: 0.3s color cubic-bezier(0.4, 0, 0.2, 1);
	-webkit-transition: 0.3s color cubic-bezier(0.4, 0, 0.2, 1);
	position:relative;
}

.menuItem-link::after {
    background: #fff;
    content: '';
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    transition: 0.3s width cubic-bezier(0.4, 0, 0.2, 1);
	-webkit-transition: 0.3s width cubic-bezier(0.4, 0, 0.2, 1);
    width: 0%;
    z-index: -2;
}

.menuItem-link:hover {
    color: #000;
}

.menuItem-link:hover::after {
    width: 100%;
}

@keyframes animation-box-out {
	0% {
    transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(65px);
}
100% {
    transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(0);
}
}

@-webkit-keyframes animation-box-out {
0% {
	-webkit-transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(65px);
}
100% {
	-webkit-transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(0);
}
}

@keyframes animation-box {
0% {
    transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(0);
}
16% {
    transform: perspective(1600px) rotateX(5deg) rotateY(3deg) translateZ(32px);
}
100% {
    transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(65px);
}
}

@-webkit-keyframes animation-box {
0% {
	-webkit-transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(0);
}
16% {
	-webkit-transform: perspective(1600px) rotateX(5deg) rotateY(3deg) translateZ(32px);
}
100% {
	-webkit-transform: perspective(1600px) rotateX(0) rotateY(0) translateZ(65px);
}
}


@media only screen and (max-width:768px) and (orientation:portrait){
	.entrance-wrapper {
    max-height: none;
    padding: 80px 15px 60px;
	}
	.entrance-wrapper {
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100%;
    -ms-flex-pack: end;
    justify-content: flex-end;
    margin: 0;
    padding: 80px 15px 2em;
    width: 100%;
	}
	
	
	.entrance-wrapper a.enter {
		width:100% !important;
		overflow: hidden !important;
		margin: 2% 0 !important;
	}
}

@media only screen and (max-width:768px){
	.enter .bg:after {
	opacity:0.8 !important;
	}
	
	.menuItem-content {
	opacity:1 !important;
	}
	
	#back-home {
    bottom: 0;
	top:10px;
    right: 0;
	left:10px;
	}	
	
	.overlayer {
    overflow-y: scroll !important;
	}
	
	.overlay-menu {
	display:block !important;
	}
	
	.overlay-menu ul li a h1 {
	font-size:6rem;
	}
	
}

@media only screen and (max-width:479px){
	.overlayer {
    padding: 30px;
	}
	
	.overlay-menu ul li a h1 {
	font-size:5rem;
	}

}

#infinite-handle {
    position: absolute;
    bottom: 0;
    right: 0;
}